"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var graphql_1 = require("graphql");
var build_selection_set_1 = require("./build-selection-set");
var debugging_1 = require("../debugging");
var printer_1 = require("graphql/language/printer");
function transformFragment(schema, fragment) {
    debugging_1.debugLog("[transformFragment] transforming fragment " + fragment.name.value + " on type " + fragment.typeCondition.name.value);
    var root = graphql_1.typeFromAST(schema, fragment.typeCondition);
    var name = fragment.name.value;
    var onType = fragment.typeCondition.name.value;
    return {
        name: name,
        onType: onType,
        selectionSet: build_selection_set_1.buildSelectionSet(schema, root, fragment.selectionSet),
        document: printer_1.print(fragment),
    };
}
exports.transformFragment = transformFragment;
//# sourceMappingURL=transform-fragment-document.js.map