"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var graphql_1 = require("graphql");
var resolve_type_1 = require("../schema/resolve-type");
var debugging_1 = require("../debugging");
function transformVariables(schema, definitionNode) {
    return definitionNode.variableDefinitions.map(function (variableDefinition) {
        var typeFromSchema = graphql_1.typeFromAST(schema, variableDefinition.type);
        var resolvedType = resolve_type_1.resolveType(typeFromSchema);
        debugging_1.debugLog("[transformVariables] transforming variable " + variableDefinition.variable.name.value + " of type " + resolvedType.name);
        return {
            name: variableDefinition.variable.name.value,
            type: resolvedType.name,
            isArray: resolvedType.isArray,
            isRequired: resolvedType.isRequired,
        };
    });
}
exports.transformVariables = transformVariables;
//# sourceMappingURL=transform-variables.js.map