"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var debugging_1 = require("../debugging");
function transformGraphQLEnum(graphqlEnum) {
    debugging_1.debugLog("[transformGraphQLEnum] transformed enum " + graphqlEnum.name);
    var enumValues = graphqlEnum.getValues().map(function (enumItem) {
        return {
            name: enumItem.name,
            description: enumItem.description || '',
            value: enumItem.value
        };
    });
    return {
        name: graphqlEnum.name,
        description: graphqlEnum.description || '',
        values: enumValues,
    };
}
exports.transformGraphQLEnum = transformGraphQLEnum;
//# sourceMappingURL=transform-enum.js.map